Bug 998794 - [origin_broker_86] It does not support for setting blank value for a user environment variable
[origin_broker_86] It does not support for setting blank value for a user e...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
2.x
All All
medium Severity medium
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 01:51 EDT by zhaozhanqi
Modified: 2015-05-14 20:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:53:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2013-08-20 01:51:16 EDT
Description of problem:
if set one value to blank, it will show 'Value not specified for environment variable '#{name}'

Version-Release number of selected component (if applicable):
devenv_3676

How reproducible:
always

Steps to Reproduce:
1. create one app
2. add one env variable and its value set to blank for that app
   curl -k -H 'Accept: application/xml' --user $user:$pass https://ec2-50-16-53-228.compute-1.amazonaws.com/broker/rest/applications/441479955229558381215744/environment-variables -X POST -d name=foo1 -d value=

Actual results:
    <message>
      <severity>error</severity>
      <text>Value not specified for environment variable 'foo1'</text>
      <exit-code>190</exit-code>

Expected results:

should be set successfully and its value will be foo1=

Additional info:
the env variable's value should support blank,like 

[zqzhao@dhcp-13-222 build]$ rhc ssh app --gear env |grep SELINUX_
SELINUX_ROLE_REQUESTED=
SELINUX_USE_CURRENT_RANGE=
SELINUX_LEVEL_REQUESTED=
Comment 1 Ravi Sankar 2013-08-20 15:42:01 EDT
Fixed in https://github.com/openshift/origin-server/pull/3439
Comment 2 openshift-github-bot 2013-08-20 20:41:01 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/b80bdce049f77c1be53261f2f38a030201569520
Bug 998794 - Allow blank value for a user environment variable

Bug 998768 - Allow char '=' in the enviroment variable

Bug 998891 - Remove env var should always call rsync on all other gears from head gear
Comment 3 zhaozhanqi 2013-08-21 22:39:02 EDT
Tested this issue in devenv_stage_448, it has been fixed

curl -k -H 'Accept: application/xml' --user zzhao@redhat.com:redhat https://$instance/broker/rest/applications/479428171624072284733440/environment-variables -X POST -d name=foo1 -d value=

[zqzhao@dhcp-13-222 .openshift]$ rhc ssh zqphp --gear env|grep foo
foo1=

Note You need to log in before you can comment on or make changes to this bug.